Summary:        Objective Caml library for managing dates and times
Name:           ocaml-calendar
Version:        2.04
Release:        3%{?dist}
License:        LGPLv2

URL:            http://calendar.forge.ocamlcore.org/
Source0:        https://download.ocamlcore.org/calendar/calendar/%{version}/calendar-%{version}.tar.gz

Patch3000:      calendar-2.03.2-enable-debug.patch

BuildRequires: make ocaml >= 4.00.1 ocaml-findlib-devel >= 1.3.3-3
BuildRequires: ocaml-ocamldoc gawk


%global __ocaml_requires_opts -i Calendar_builder -i Calendar_sig -i Date -i Date_sig -i Fcalendar -i Ftime -i Period -i Printer -i Time -i Time_sig -i Time_Zone -i Utils -i Version
%global __ocaml_provides_opts -i Calendar_builder -i Calendar_sig -i Date -i Date_sig -i Fcalendar -i Ftime -i Period -i Printer -i Time -i Time_sig -i Time_Zone -i Utils -i Version


%description
Objective Caml library for managing dates and times.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n calendar-%{version}


%build
./configure --libdir=%{_libdir}
%make_build
make doc

mv TODO TODO.old
iconv -f iso-8859-1 -t utf-8 < TODO.old > TODO


%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install


%files
%license COPYING
%doc CHANGES README TODO LGPL
%{_libdir}/ocaml/calendar
%exclude %{_libdir}/ocaml/calendar/*.cmx
%exclude %{_libdir}/ocaml/calendar/*.mli


%files devel
%license LGPL COPYING
%doc CHANGES README TODO calendarFAQ-2.6.txt doc/*
%{_libdir}/ocaml/calendar/*.cmx
%{_libdir}/ocaml/calendar/*.mli


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.04-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.04-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 31 2023 cunshunxia <cunshunxia@tencent.com> - 2.04-1
- initial build
